[fxruby-users] Does anyone have access to an x86-64 box?

Shad Sterling polyergic at gmail.com
Mon Mar 14 16:29:07 EST 2005


On Thu, 3 Mar 2005 20:08:25 -0600, Lyle Johnson <lyle at knology.net> wrote:
> 
> On Mar 2, 2005, at 5:53 PM, Shad Sterling wrote:
> 
> > I have an x86-64 machine at work I can do some with, and I couldn't
> > get the fxruby gem to install.
> > I've never tried to use fxruby, I suspect the problem is something
> > really obvious that the installer isn't giving a clear error message
> > about.
> >
> > [root at datastor rubygems-0.8.6]# gem install fxruby
> 
> <snip>
> 
> > Building native extensions.  This could take a while...
> > can't find header files for ruby.
> 
> <snip>
> 
> Well, I should have looked at that more closely: "can't find header
> files for ruby". So yes, something appears to be broken in your Ruby
> installation before we even get around to FXRuby...
> 
> 


I'm running PLD, and have installed ruby-1.8.2-2.20040906.4.  I looked
for a ruby-libs package (in poldek; using primarially
ftp://ftp.amd64.ac.pld-linux.org/dists/ac/PLD/amd64/PLD/RPMS/ ), and
failed to find one.  I thought the package ruby-static might have
them, but apparently not.

What am I missing here, to get the ruby headers?


-- 

----------

Please do not send personal (non-list-related) mail to this address.
Personal mail should be sent to polyergic at sterfish.com.


More information about the fxruby-users mailing list